what to upgrade

Discussion in 'iPhone 3G' started by sunraker, May 10, 2013.

  1. sunraker

    sunraker New Member

    Joined:
    May 10, 2013
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    0
    Hi, My 3g has version 3.1.2 firmware 05.11.07 and i have itunes 10.? it is jailbroke....what i want to know what should i update that's safe?I have noticed most apps now wont a upgrade to work.Thanks
     
  2. willerz2

    willerz2 Super Moderator Staff Member

    Joined:
    Aug 15, 2012
    Messages:
    7,659
    Likes Received:
    648
    Trophy Points:
    113
    Location:
    New York
    It won't make a difference for the most part. 99% of apps require iOS 4.3 or above, and 95% of the 99% requires iOS 5 minimum. The latest iOS for the 3G is iOS 4.2.1
     
  3. sunraker

    sunraker New Member

    Joined:
    May 10, 2013
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    0
    Thanks for the reply. So are you saying i can upgrade to 4.2.1 and do it safely.thanks
     
  4. willerz2

    willerz2 Super Moderator Staff Member

    Joined:
    Aug 15, 2012
    Messages:
    7,659
    Likes Received:
    648
    Trophy Points:
    113
    Location:
    New York
    That's the deal.
     

Share This Page